
global:
  resolve_timeout: 5m

route:
  receiver: 'slack-notifications'
  group_by: ['alertname', 'instance']
  group_wait: 30s
  group_interval: 1m
  repeat_interval: 1m

receivers:
  - name: 'slack-notifications'
    slack_configs:
      - api_url: "{{ slack.api_url }}"
        channel: "{{ slack.channel_name }}"
        {% raw %}
        title: '{{ if eq .Status "firing" }}FIRING: {{ end }}{{ if eq .Status "resolved" }}RESOLVED: {{ end }}{{ .CommonLabels.alertname }} - {{ .CommonLabels.severity }}'
        text: "{{ if eq .Status \"firing\" }}Alert: {{ .CommonLabels.alertname }}\nInstance: {{ .CommonLabels.instance }}\nSummary: {{ .CommonAnnotations.summary }}\nDescription: {{ .CommonAnnotations.description }}{{ end }}{{ if eq .Status \"resolved\" }}Alert Resolved: {{ .CommonLabels.alertname }}\nInstance: {{ .CommonLabels.instance }}{{ end }}"
        {% endraw %}


        send_resolved: true

